org.eclipse.mat.parser.index

## Class IndexReader.LongIndex1NReader

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexReader.LongIndex1NReader

All Implemented Interfaces:
  IIndexReader

Enclosing class:
  IndexReader

    public static class IndexReader.LongIndex1NReader
    extends Object
    implements IIndexReader

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.parser.index.IIndexReader

`IIndexReader.IOne2LongIndex, IIndexReader.IOne2ManyIndex, IIndexReader.IOne2ManyObjectsIndex, IIndexReader.IOne2OneIndex, IIndexReader.IOne2SizeIndex`

### Constructor Summary

Constructors
Constructor and Description
`LongIndex1NReader(File indexFile)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close the backing file.
`void` `delete()` Delete the backing file.
`long[]` `get(int index)`
`int` `size()` Size of the index
`void` `unload()` Clear the caches.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongIndex1NReader

    public LongIndex1NReader(File indexFile)
                      throws IOException

Throws:
  `IOException`

### Method Detail

#### get

    public long[] get(int index)

#### close

    public void close()

Description copied from interface: `IIndexReader`
Close the backing file.

Specified by:
  `close` in interface `IIndexReader`

#### unload

    public void unload()

Description copied from interface: `IIndexReader`
Clear the caches. Used when the indexes are not current in use and the memory needs to be reclaimed such as when building the dominator tree.

Specified by:
  `unload` in interface `IIndexReader`

#### size

    public int size()

Description copied from interface: `IIndexReader`
Size of the index

Specified by:
  `size` in interface `IIndexReader`
Returns:
  number of entries

#### delete

    public void delete()

Description copied from interface: `IIndexReader`
Delete the backing file.

Specified by:
  `delete` in interface `IIndexReader`